-- phpMyAdmin SQL Dump
-- version 3.4.5
-- http://www.phpmyadmin.net
--
-- Gostitelj: localhost
-- Čas nastanka: 02 dec 2011 ob 10.00
-- Različica strežnika: 5.5.16
-- Različica PHP: 5.3.8

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Zbirka podatkov: `diploma_object`
--

-- --------------------------------------------------------

--
-- Struktura tabele `advestisement`
--

CREATE TABLE IF NOT EXISTS `advestisement` (
  `pageid` int(10) NOT NULL,
  `position` varchar(10) NOT NULL,
  `clicked` varchar(3) NOT NULL,
  `url` varchar(500) NOT NULL,
  `time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Struktura tabele `coordinates`
--

CREATE TABLE IF NOT EXISTS `coordinates` (
  `pageid` int(10) NOT NULL,
  `x` int(4) NOT NULL,
  `y` int(4) NOT NULL,
  `time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Struktura tabele `elementclicks`
--

CREATE TABLE IF NOT EXISTS `elementclicks` (
  `pageid` int(10) NOT NULL,
  `element` mediumtext NOT NULL,
  `clicks` int(10) NOT NULL,
  `posx` int(3) NOT NULL,
  `posy` int(3) NOT NULL,
  `time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Struktura tabele `gotonpage`
--

CREATE TABLE IF NOT EXISTS `gotonpage` (
  `pageid` int(10) NOT NULL,
  `how` varchar(255) NOT NULL,
  `time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Struktura tabele `inputboxes`
--

CREATE TABLE IF NOT EXISTS `inputboxes` (
  `pageid` int(10) NOT NULL,
  `boxid` mediumtext NOT NULL,
  `words` text NOT NULL,
  `time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Struktura tabele `keywords`
--

CREATE TABLE IF NOT EXISTS `keywords` (
  `pageid` int(10) NOT NULL,
  `word` varchar(255) NOT NULL,
  `relevantnost` double NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Struktura tabele `links`
--

CREATE TABLE IF NOT EXISTS `links` (
  `pageid` int(10) NOT NULL,
  `url` longtext NOT NULL,
  `clicked` varchar(3) NOT NULL,
  `time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Struktura tabele `options`
--

CREATE TABLE IF NOT EXISTS `options` (
  `userid` int(10) NOT NULL,
  `opt1` varchar(255) NOT NULL,
  `opt2` varchar(255) NOT NULL,
  `opt3` varchar(255) NOT NULL,
  `opt4` varchar(255) NOT NULL,
  `opt5` varchar(255) NOT NULL,
  `opt6` varchar(255) NOT NULL,
  `opt7` varchar(255) NOT NULL,
  `opt8` varchar(255) NOT NULL,
  `opt9` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Struktura tabele `previouseurl`
--

CREATE TABLE IF NOT EXISTS `previouseurl` (
  `pageid` int(10) NOT NULL,
  `url` varchar(255) NOT NULL,
  `time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Struktura tabele `scrolling`
--

CREATE TABLE IF NOT EXISTS `scrolling` (
  `pageid` int(10) NOT NULL,
  `yesorno` varchar(3) NOT NULL,
  `time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Struktura tabele `shortcuts`
--

CREATE TABLE IF NOT EXISTS `shortcuts` (
  `pageid` int(10) NOT NULL,
  `value` varchar(255) NOT NULL,
  `timesused` int(4) NOT NULL,
  `time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Struktura tabele `sizes`
--

CREATE TABLE IF NOT EXISTS `sizes` (
  `pageid` int(10) NOT NULL,
  `viewx` int(5) NOT NULL,
  `viewy` int(5) NOT NULL,
  `sizex` int(5) NOT NULL,
  `sizey` int(5) NOT NULL,
  `top` int(5) NOT NULL,
  `left` int(5) NOT NULL,
  `maxx` int(5) NOT NULL,
  `maxy` int(5) NOT NULL,
  `time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Struktura tabele `tab_obj`
--

CREATE TABLE IF NOT EXISTS `tab_obj` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `userid` int(10) NOT NULL,
  `url` varchar(255) NOT NULL,
  `suburl` varchar(400) NOT NULL,
  `visits` int(100) NOT NULL,
  `pagetitle` varchar(255) DEFAULT NULL,
  `useragent` varchar(255) DEFAULT NULL,
  `TYPE` varchar(255) DEFAULT NULL,
  `time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabele `time`
--

CREATE TABLE IF NOT EXISTS `time` (
  `pageid` int(10) NOT NULL,
  `timeonpage` varchar(255) NOT NULL,
  `dateoff` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `longestidle` time NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Struktura tabele `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(5) NOT NULL AUTO_INCREMENT,
  `username` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabele `vocabulary`
--

CREATE TABLE IF NOT EXISTS `vocabulary` (
  `pageid` int(10) NOT NULL,
  `beseda` varchar(255) NOT NULL,
  `tipbesede` varchar(255) NOT NULL,
  `teza` int(10) NOT NULL,
  `stpojavitev` int(10) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
